# FLASHAlgorithmImpl (ARX Developer Documentation)

org.deidentifier.arx.algorithm

## Class FLASHAlgorithmImpl

- java.lang.Object
- - org.deidentifier.arx.algorithm.AbstractAlgorithm
  - - org.deidentifier.arx.algorithm.FLASHAlgorithmImpl

-     public class FLASHAlgorithmImpl
      extends AbstractAlgorithm

  This class implements the FLASH algorithm.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected FLASHConfiguration` | `config` Configuration for the algorithm's phases.

    - ### Fields inherited from class org.deidentifier.arx.algorithm.AbstractAlgorithm

      `checker, solutionSpace`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FLASHAlgorithmImpl(SolutionSpace solutionSpace, NodeChecker checker, FLASHStrategy strategy, FLASHConfiguration config)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `traverse()` Implement this method in order to provide a new algorithm.

    - ### Methods inherited from class org.deidentifier.arx.algorithm.AbstractAlgorithm

      `computeUtilityForMonotonicMetrics, getGlobalOptimum, progress, setListener, trackOptimum`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### config

          protected final FLASHConfiguration config

      Configuration for the algorithm's phases.

  - ### Constructor Detail

    - #### FLASHAlgorithmImpl

          public FLASHAlgorithmImpl(SolutionSpace solutionSpace,
                            NodeChecker checker,
                            FLASHStrategy strategy,
                            FLASHConfiguration config)

      Creates a new instance.
      Parameters:
        `solutionSpace` -
        `checker` -
        `strategy` -
        `config` -

  - ### Method Detail

    - #### traverse

          public void traverse()

      Description copied from class: `AbstractAlgorithm`
      Implement this method in order to provide a new algorithm.
      Specified by:
        `traverse` in class `AbstractAlgorithm`